# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global git g8a56364

Name:           pygtkchart
Version:        0
Release:        alt1_0.5.git%{git}
Summary:        A GTK chart widget written in Python

Group:          File tools
License:        GPLv2+
URL:            http://notmyname.github.com/pygtkChart/
Source0:        https://github.com/notmyname/pygtkChart/tarball/beta/notmyname-pygtkChart-beta-0-%{git}.tar.gz
# This patch fixes some paths for Fedora
Patch0:         %{name}-path.patch
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-setuptools

Requires:       pygtk2
Source44: import.info


%description
pygtkChart is a Python package that provides PyGTK widgets to simply
integrate charts into a GTK application. Currently pygtkChart comes
with four widgets:

- BarChart - shows a bar chart (see example on the right)
- MultiBarChart - like BarChart, but shows groups of bars
- PieChart - shows simple pie charts

The appearance of the widgets is highly customable. All bars, graphs,
or titles on a chart can be accessed and modified separately.
Colors, backgrounds and many more properties can be modified for each
object. 


%prep
%setup -q -n notmyname-pygtkChart-cb24da7
%patch0 -p1 -b .path 
sed -i -e '/^#!\//, 1d' src/pygtk_chart/*.py
chmod -x examples/*.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}


%files
%doc doc/ examples/
%{python_sitelibdir_noarch}/pygtk_chart/
%{python_sitelibdir_noarch}/pygtkChart-beta*.egg-info
%{_datadir}/%{name}/


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.5.gitg8a56364
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.4.gitg8a56364
- initial fc import

